org.eclipse.microprofile.metrics.tck.inheritance

## Class VisibilityTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.VisibilityTimedMethodBean

Direct Known Subclasses:
  InheritedTimedMethodBean

    public class VisibilityTimedMethodBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VisibilityTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `protectedTimedMethod()`
`void` `publicTimedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisibilityTimedMethodBean

    public VisibilityTimedMethodBean()

### Method Detail

#### publicTimedMethod

    @Timed
    public void publicTimedMethod()

#### protectedTimedMethod

    @Timed
    protected void protectedTimedMethod()